function [NsplinesDeriv] = evalNURBSDeriv(knots, degree, weights, eta)
%EVALNURBSDERIV Summary of this function goes here
%   Detailed explanation goes here


splines = evalBSpline(knots, degree, eta);
splinesDeriv = evalBSplineDeriv(knots, degree, eta);

NsplinesDeriv = (splinesDeriv.*weights).*(splines'*weights)'./((splines'*weights).^2)' - (splines.*weights).*(splinesDeriv'*weights)'./((splines'*weights).^2)';
end

