function points = generateGrevillePoints(knots, degree)
    
    dim = numel(knots) - degree - 1;
    
    points = zeros(1, dim);

    for i = 1:dim
        points(i) = sum(knots(i+1:i+degree)) / (degree);
    end
end

