function rhs = univariateIntegralTf(rhs )

rhs.interp.Y = zeros(numel(rhs.geometry.knots{2})-rhs.geometry.degree(2)-1,rhs.interp.R);

s = [-0.906179845938664, -0.538469310105683, 0, 0.538469310105683, 0.906179845938664];
w = [0.236926885056189, 0.478628670499366, 0.568888888888889, 0.478628670499366, 0.236926885056189]';

for l = 1:length(rhs.geometry.knots{2})-1
    if rhs.geometry.knots{2}(l) < rhs.geometry.knots{2}(l+1)
        a = rhs.geometry.knots{2}(l);
        b = rhs.geometry.knots{2}(l+1);
        xx = (b-a)/2*s + (a+b)/2;
        quadValues = evalNURBS(rhs.geometry.knots{2}, rhs.geometry.degree(2), rhs.geometry.Tweights{2}', xx);
        quadValues2 = evalNURBS(rhs.weightFun.knots{2}, rhs.weightFun.degree(2), rhs.weightFun.weight{2}', xx);
        for i = l-rhs.geometry.degree(2):l
            for k = 1:length(s)
                for r = 1:rhs.interp.R
                    rhs.interp.Y(i,r) = rhs.interp.Y(i,r) + (b-a)/2*w(k)*quadValues(i,k)*quadValues2(:,k)'*rhs.interp.SVDV(:,r)*rhs.interp.SVDWeights(r);
                end
            end
        end
    end
end

end