function p = plotNDomain3(G,p )
a = 40;
b = 40;
c = 40;
G.weight = reshape(G.weight, prod(G.n),1);
G.controlPoints = reshape(G.controlPoints, prod(G.n),3);
xx = linspace(0,G.knots{1}(end),a);
yy = linspace(0,G.knots{2}(end),b);
zz = linspace(0,G.knots{3}(end),c);
% xx = 1; 
% a = 1;
y1 = evalBSpline(G.knots{1}, G.degree(1),xx);
y2 = evalBSpline(G.knots{2}, G.degree(2), yy);
y3 = evalBSpline(G.knots{3}, G.degree(3), zz);

X11 = reshape(((kron(y3,kron(y2(:,1),y1)).*G.weight)'./(kron(y3,kron(y2(:,1),y1))'*G.weight))*G.controlPoints(:,1),a,c);
X12 = reshape(((kron(y3,kron(y2(:,end),y1)).*G.weight)'./(kron(y3,kron(y2(:,end),y1))'*G.weight))*G.controlPoints(:,1),a,c);
Y11 = reshape(((kron(y3,kron(y2(:,1),y1)).*G.weight)'./(kron(y3,kron(y2(:,1),y1))'*G.weight))*G.controlPoints(:,2),a,c);
Y12 = reshape(((kron(y3,kron(y2(:,end),y1)).*G.weight)'./(kron(y3,kron(y2(:,end),y1))'*G.weight))*G.controlPoints(:,2),a,c);
Z11 = reshape(((kron(y3,kron(y2(:,1),y1)).*G.weight)'./(kron(y3,kron(y2(:,1),y1))'*G.weight))*G.controlPoints(:,3),a,c);
Z12 = reshape(((kron(y3,kron(y2(:,end),y1)).*G.weight)'./(kron(y3,kron(y2(:,end),y1))'*G.weight))*G.controlPoints(:,3),a,c);
X21 = reshape(((kron(y3(:,1),kron(y2,y1)).*G.weight)'./(kron(y3(:,1),kron(y2,y1))'*G.weight))*G.controlPoints(:,1),a,b);
Y21 = reshape(((kron(y3(:,1),kron(y2,y1)).*G.weight)'./(kron(y3(:,1),kron(y2,y1))'*G.weight))*G.controlPoints(:,2),a,b);
Z21 = reshape(((kron(y3(:,1),kron(y2,y1)).*G.weight)'./(kron(y3(:,1),kron(y2,y1))'*G.weight))*G.controlPoints(:,3),a,b);
X31 = reshape(((kron(y3,kron(y2,y1(:,1))).*G.weight)'./(kron(y3,kron(y2,y1(:,1)))'*G.weight))*G.controlPoints(:,1),b,c);
Y31 = reshape(((kron(y3,kron(y2,y1(:,1))).*G.weight)'./(kron(y3,kron(y2,y1(:,1)))'*G.weight))*G.controlPoints(:,2),b,c);
Z31 = reshape(((kron(y3,kron(y2,y1(:,1))).*G.weight)'./(kron(y3,kron(y2,y1(:,1)))'*G.weight))*G.controlPoints(:,3),b,c);
X22 = reshape(((kron(y3(:,end),kron(y2,y1)).*G.weight)'./(kron(y3(:,end),kron(y2,y1))'*G.weight))*G.controlPoints(:,1),a,b);
Y22 = reshape(((kron(y3(:,end),kron(y2,y1)).*G.weight)'./(kron(y3(:,end),kron(y2,y1))'*G.weight))*G.controlPoints(:,2),a,b);
Z22 = reshape(((kron(y3(:,end),kron(y2,y1)).*G.weight)'./(kron(y3(:,end),kron(y2,y1))'*G.weight))*G.controlPoints(:,3),a,b);
X32 = reshape(((kron(y3,kron(y2,y1(:,end))).*G.weight)'./(kron(y3,kron(y2,y1(:,end)))'*G.weight))*G.controlPoints(:,1),b,c);
Y32 = reshape(((kron(y3,kron(y2,y1(:,end))).*G.weight)'./(kron(y3,kron(y2,y1(:,end)))'*G.weight))*G.controlPoints(:,2),b,c);
Z32 = reshape(((kron(y3,kron(y2,y1(:,end))).*G.weight)'./(kron(y3,kron(y2,y1(:,end)))'*G.weight))*G.controlPoints(:,3),b,c);

if nargin < 2
    p = figure;
end
hold on
surf(X11, Y11, Z11, 'linestyle', 'none', 'FaceColor',[0,0,1]);
surf(X12, Y12, Z12, 'linestyle', 'none', 'FaceColor',[0,0,1]);
surf(X21, Y21, Z21, 'linestyle', 'none', 'FaceColor',[0,0,1]); %, 'FaceColor','interp', 'FaceAlpha','0.5');
surf(X22, Y22, Z22, 'linestyle', 'none', 'FaceColor',[0,0,1]); %, 'FaceColor','interp', 'FaceAlpha','0.5');
surf(X31, Y31, Z31, 'linestyle', 'none', 'FaceColor',[0,0,1]); %, 'FaceColor','interp', 'FaceAlpha','0.5');
surf(X32, Y32, Z32, 'linestyle', 'none', 'FaceColor',[0,0,1]); %, 'FaceColor','interp', 'FaceAlpha','0.5');

%plot(X,Z, 'black', 'lineWidth', 2)
%  plot3(X',Y',Z', color, 'lineWidth', 2)

end